class VerifySignupOtpRequest {
  String username = "";
  String email = "";
  String phone = "";
  String channelCode = "";
  String porOrgacode = "";
  String obpPincode = "";

  VerifySignupOtpRequest({
    this.username = "",
    this.email = "",
    this.phone = "",
    this.channelCode = "",
    this.porOrgacode = "",
    this.obpPincode = "",
  });

  VerifySignupOtpRequest.empty()
      : this.username = "",
        this.email = "",
        this.phone = "",
        this.channelCode = "",
        this.porOrgacode = "",
        this.obpPincode = "";

  Map<String, dynamic> toMap() {
    return {
      'username': username,
      'email': email,
      'phone': phone,
      'channelCode': channelCode,
      'porOrgacode': porOrgacode,
      'obpPincode': obpPincode,
    };
  }

  factory VerifySignupOtpRequest.fromMap(Map<String, dynamic> map) {
    return VerifySignupOtpRequest(
      username: map['username'],
      email: map['email'],
      phone: map['phone'],
      channelCode: map['channelCode'],
      porOrgacode: map['porOrgacode'],
      obpPincode: map['obpPincode'],
    );
  }

  @override
  String toString() {
    return 'VerifySignupOtpRequest{username: $username, email: $email, phone: $phone, channelCode: $channelCode, porOrgacode: $porOrgacode, obpPincode: $obpPincode}';
  }
}
